package com.yunzhupaas.flowable.service;

import com.yunzhupaas.base.service.SuperService;
import com.yunzhupaas.flowable.entity.TriggerRecordEntity;
import com.yunzhupaas.flowable.entity.TriggerTaskEntity;
import com.yunzhupaas.flowable.model.flowable.FlowableTaskModel;
import com.yunzhupaas.flowable.model.templatenode.nodejson.NodeModel;

import java.util.List;

/**
 * 类的描述
 *
 * @author YUNZHUPAASYUNZHUPAAS开发组
 * @version 5.0.x
 * @since 2024/9/10 17:15
 */
public interface TriggerRecordService extends SuperService<TriggerRecordEntity> {

    List<TriggerRecordEntity> getList(String triggerTaskId);

    List<TriggerRecordEntity> getListByTaskId(String taskId);

    void create(TriggerRecordEntity entity);

    void create(TriggerTaskEntity triggerTask, NodeModel nodeModel, FlowableTaskModel taskModel);

    void createStart(String triggerId);

    void createEnd(String triggerId);

    void delete(List<String> triggerTaskIds);
}
